Distribution:	CCux
Packager:  	Karsten Brockmann <brockmka@rz.fh-augsburg.de>

Name:      	libglib
Version:   	1.2.10
Release:   	5
Provides:	%{name}
License: 	GNU/LGPL
URL:		ftp://ftp.gtk.org/pub/gtk/v1.2/
Group:     	System/Libraries
Source0: 	glib-%{version}.tar.gz
Patch0:		glib-%{version}-gcc34-1.patch
Patch1:		%{name}-%{version}-aclocal.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Summary:   	libglib - low level C library
Prereq(post,preun): /sbin/install-info

%description
The libglib package contains the glib 1.2 low-level core library.
This is useful for providing data structure handling for C,
portability wrappers and interfaces for such runtime functionality
as an event loop, threads, dynamic loading, and an object system.

%package	devel
Summary:        Development files for %{name}
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description	devel
Header files for developing applications using %{name}

%post
ldconfig
/sbin/install-info %_infodir/glib.info.gz %_infodir/dir

%postun
ldconfig
if
[ "$1" = 0 ]; then /sbin/install-info --del %_infodir/glib.info.gz %_infodir/dir
fi

%prep
%setup -n glib-%{version}
%patch0 -p1
%patch1 -p1

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--infodir=%_infodir \
--sysconfdir=%_sysconfdir \
--localstatedir=%_localstatedir
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_datadir/doc/%{name}-%{version}
cp docs/*.html AUTHORS ChangeLog NEWS README COPYING $RPM_BUILD_ROOT%_datadir/doc/%{name}-%{version}
rm -f $RPM_BUILD_ROOT%_infodir/dir
# stripping package #
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir/*.so.*
%_datadir/doc
%_mandir
%_infodir

%files devel
%defattr(-,root,root)
%_bindir
%_includedir
%_pkgconfig
%_aclocal
%_libdir/glib
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 13 2006 Christian Wasem <wasem@ccux-linux.de> 1.2.10-5
- rebuilt, removed wrong scriplet entry in devel packacge
* Sat Oct 08 2005 Christian Wasem <wasem@ccux-linux.de> 1.2.10-4
- added aclocal patch
* Sat Oct 01 2005 Christian Wasem <wasem@ccux-linux.de> 1.2.10-3
- tweaked specfile, moved more files to devel
* Tue Sep 27 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.2.10-2
- rebuilt SRPM